Bug 1802362 (golang-github-viant-assertly) - Review Request: golang-github-viant-assertly - Arbitraty datastructure validation
Summary: Review Request: golang-github-viant-assertly - Arbitraty datastructure valida...
Keywords:
Status: CLOSED ERRATA
Alias: golang-github-viant-assertly
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1802357
Blocks: golang-github-francoispqt-gojay 1803692
TreeView+ depends on / blocked
 
Reported: 2020-02-13 01:45 UTC by Robert-André Mauchin 🐧
Modified: 2020-07-13 00:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-03 15:05:38 UTC
Type: ---
o.lemasle: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2020-02-13 01:45:44 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-viant-assertly.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-viant-assertly-0.5.3-1.fc33.src.rpm

Description:
 Arbitraty datastructure validation.

Fedora Account System Username: eclipseo

Comment 1 Olivier Lemasle 2020-04-02 18:10:31 UTC
- The test failure (https://github.com/viant/assertly/issues/3) has been patched by the author (https://github.com/viant/assertly/commit/adf6a8c351198564771708e78169703c6c9cd021) so you should update the package to include the fix and restore "check".
- Minor: there's a typo in description and summary: "arbitraty" (taken from GitHub project description)

Otherwise ok, thanks!

Comment 3 Olivier Lemasle 2020-04-14 19:51:44 UTC
Thank you for the changes.
Package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/olivier/packaging/reviews/1802362-golang-github-viant-
     assertly/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-viant-assertly-devel-0.5.3-1.fc33.noarch.rpm
          golang-github-viant-assertly-0.5.3-1.fc33.src.rpm
golang-github-viant-assertly-devel.noarch: W: spelling-error Summary(en_US) datastructure -> data structure, data-structure, structured
golang-github-viant-assertly-devel.noarch: W: spelling-error %description -l en_US datastructure -> data structure, data-structure, structured
golang-github-viant-assertly-devel.noarch: W: spurious-executable-perm /usr/share/doc/golang-github-viant-assertly-devel/CHANGELOG.md
golang-github-viant-assertly-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/viant/assertly/.goipath
golang-github-viant-assertly-devel.noarch: E: script-without-shebang /usr/share/licenses/golang-github-viant-assertly-devel/LICENSE
golang-github-viant-assertly-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/golang-github-viant-assertly-devel/LICENSE
golang-github-viant-assertly-devel.noarch: E: script-without-shebang /usr/share/licenses/golang-github-viant-assertly-devel/NOTICE
golang-github-viant-assertly-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/golang-github-viant-assertly-devel/NOTICE
golang-github-viant-assertly.src: W: spelling-error Summary(en_US) datastructure -> data structure, data-structure, structured
golang-github-viant-assertly.src: W: spelling-error %description -l en_US datastructure -> data structure, data-structure, structured
golang-github-viant-assertly.src: W: no-%build-section
2 packages and 0 specfiles checked; 4 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
golang-github-viant-assertly-devel.noarch: W: spelling-error Summary(en_US) datastructure -> data structure, data-structure, structured
golang-github-viant-assertly-devel.noarch: W: spelling-error %description -l en_US datastructure -> data structure, data-structure, structured
golang-github-viant-assertly-devel.noarch: W: invalid-url URL: https://github.com/viant/assertly <urlopen error [Errno -2] Name or service not known>
golang-github-viant-assertly-devel.noarch: W: spurious-executable-perm /usr/share/doc/golang-github-viant-assertly-devel/CHANGELOG.md
golang-github-viant-assertly-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/viant/assertly/.goipath
golang-github-viant-assertly-devel.noarch: E: script-without-shebang /usr/share/licenses/golang-github-viant-assertly-devel/LICENSE
golang-github-viant-assertly-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/golang-github-viant-assertly-devel/LICENSE
golang-github-viant-assertly-devel.noarch: E: script-without-shebang /usr/share/licenses/golang-github-viant-assertly-devel/NOTICE
golang-github-viant-assertly-devel.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/golang-github-viant-assertly-devel/NOTICE
1 packages and 0 specfiles checked; 4 errors, 5 warnings.



Source checksums
----------------
https://github.com/viant/assertly/archive/v0.5.3/assertly-0.5.3.tar.gz :
  CHECKSUM(SHA256) this package     : 2ad5d0daeb279c29304711292ebf56414f32338b6451e73a1d2e84fcb7a57426
  CHECKSUM(SHA256) upstream package : 2ad5d0daeb279c29304711292ebf56414f32338b6451e73a1d2e84fcb7a57426


Requires
--------
golang-github-viant-assertly-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/viant/toolbox)
    golang(github.com/viant/toolbox/data)



Provides
--------
golang-github-viant-assertly-devel:
    golang(github.com/viant/assertly)
    golang-github-viant-assertly-devel
    golang-ipath(github.com/viant/assertly)

Comment 4 Robert-André Mauchin 🐧 2020-07-01 15:47:50 UTC
Sorry Olivier, could you reset the fedora-review + It's been over 60 days and I wasn't active these past two months.
Thanks again.

Comment 5 Olivier Lemasle 2020-07-02 19:29:51 UTC
Sure!

Comment 6 Gwyn Ciesla 2020-07-03 13:34:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-viant-assertly

Comment 7 Fedora Update System 2020-07-03 15:03:51 UTC
FEDORA-2020-b527603aac has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b527603aac

Comment 8 Fedora Update System 2020-07-03 15:04:23 UTC
FEDORA-2020-a216f58794 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a216f58794

Comment 9 Fedora Update System 2020-07-04 01:05:48 UTC
FEDORA-2020-a216f58794 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a216f58794 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a216f58794

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-07-04 01:06:34 UTC
FEDORA-2020-b527603aac has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b527603aac \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b527603aac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-12 01:00:45 UTC
FEDORA-2020-b527603aac has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-07-13 00:27:46 UTC
FEDORA-2020-a216f58794 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.